#pragma once
#include <map>
struct Fish_TelephoneBillDropCFGData
{
	//编号
	int mId;
	//充值金额
	int mRechargeLimit;
	//历史话费和掉落概率
	std::vector<int> mHistoricalCharges;
};

class Fish_TelephoneBillDropCFG
{
public:
private:
	static std::auto_ptr<Fish_TelephoneBillDropCFG> msSingleton;
public:
	int GetCount();
	const Fish_TelephoneBillDropCFGData* GetData(int Id);
	const std::map<int, Fish_TelephoneBillDropCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TelephoneBillDropCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TelephoneBillDropCFGData> mMapData;
};
